import { FC, ReactElement, ReactNode } from 'react';
import { AccountInfo } from '@azure/msal-common';
import { AuthState } from './AuthProvider';
export interface AuthProviderInnerProps {
    children: ReactNode;
    account: AccountInfo | undefined;
    setAccount: (val: AccountInfo | undefined) => void;
    setPhoto: (val: string | undefined) => void;
    setRoles: (val: string[] | undefined) => void;
    authState: AuthState;
    setAuthState: (val: AuthState) => void;
    withoutLoader: boolean;
    loadingComponent?: ReactElement;
    unauthorizedComponent?: ReactElement;
}
export declare const AuthProviderInner: FC<AuthProviderInnerProps>;
