import { Mock } from 'vitest';
export declare class ClipboardDataMock {
    getData: Mock;
    setData: Mock;
    constructor();
}
export declare class ClipboardEventMock extends Event {
    clipboardData: ClipboardDataMock;
    constructor(type: string, options?: EventInit);
}
export declare class DataTransferMock {
    data: Record<string, string>;
    constructor();
    setData(format: string, data: string): void;
    getData(format: string): string;
}
export declare class DragEventMock extends Event {
    dataTransfer: DataTransferMock;
    constructor(type: string, options?: EventInit);
}
export declare function mockGetBoundingClientRect(): DOMRect;
export declare class FakeDOMRectList extends Array<DOMRect> implements DOMRectList {
    item(index: number): DOMRect | null;
}
